Transform

Add a transform with the given site_id, template_id, name and config. It returns the created object including fields like id, created_at, updated_at.

post

Create a new transform.

Authorizations
authorizationstringRequired

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

Body
Responses
chevron-right
200

A successful response.

application/json
post
/gateway/v1/transform

List all transform templates. If site_ids are specified, returns only templates for transforms in the given sites. If include_config_format is set, will return config formats for each of the templates.

get

List available transform templates.

Authorizations
authorizationstringRequired

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

Query parameters
includeConfigFormatbooleanOptional

Whether to include config format in return value.

namesstring[]Optional

Filter on transform template name. This is not user display name.

versionsinteger · uint64[]Optional

Filter on transform template versions.

Responses
chevron-right
200

A successful response.

application/json
get
/gateway/v1/transform-templates

List all transforms, filtered based on site_ids, transform_ids and status. This API is paginated and returns values [offset, offset + page_size). site_ids is mandatory. Transform's config is returned if include_config is set. Filters out deleted transforms, unless transform_ids or statuses types provided.

get

Create multiple transforms in batch.

Authorizations
authorizationstringRequired

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

Query parameters
siteIdsinteger · uint64[]Optional
pipelineIdsinteger · uint64[]Optional
transformIdsinteger · uint64[]Optional
templateIdsinteger · uint64[]Optional
includeConfigbooleanOptional

Whether to include config in return value.

pagination.offsetinteger · int64Optional
pagination.limitinteger · int64Optional
pagination.totalCountinteger · int64Optional
pagination.ordering.fieldNamestringOptional
pagination.ordering.descendingbooleanOptional
namesstring[]Optional

Filter on transform display name.

includeHiddenbooleanOptional
Responses
chevron-right
200

A successful response.

application/json
get
/gateway/v1/transforms

Add a set of transforms, each with the given site_id, template_id, name and config. It takes a list of transforms and the created transforms in the same order. The created object returned includes fields like id, created_at, updated_at. Either all creates succeed or all of them fail. If all fail, then the returned list is empty.

post

Create multiple transforms in batch.

Authorizations
authorizationstringRequired

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

Body
Responses
chevron-right
200

A successful response.

application/json
post
/gateway/v1/transforms

Last updated

Was this helpful?